Get List Tweets by Page
Retrieve a paginated list of list tweets using cursor-based pagination. Each page returns up to 20 tweets. Pass next_cursor from the previous response to continue. Pricing: $0.05 per 1,000 tweets.
Back to API Reference
/Lists Endpoints
POST
/twitter/list/tweets/pageAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsonnext_cursorstring | anyCursor returned by the previous page. Leave empty to fetch the first page.
Show propertiesHide properties
Any of:
string
stringany
anylist_idstringrequiredThe ID of the list to get tweets from.
Responses
200Current page data (up to 20 tweets) and pagination metadata (has_next_page, next_cursor).
codeintegerrequiredThe status code of the response.
msgstringrequiredThe message of the response.
dataTweetModel[]requiredA list of tweet objects.
Show propertiesHide properties
Array of
TweetModeltweet_idstringrequiredThe unique identifier for the Tweet
is_paid_promotionboolean | anyIndicates whether the content or user is associated with a paid promotion
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anytextstringrequiredThe actual text content of the Tweet
created_atstring | anyThe date and time the Tweet was created
Show propertiesHide properties
Any of:
string
stringany
anycreated_at_datetimestring | anyThe ISO 8601 format of the creation date
Show propertiesHide properties
Any of:
string
stringany
anybookmark_countinteger | anyNumber of times the Tweet has been bookmarked
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anybookmarkedboolean | anyIndicates if the authenticating user has bookmarked this Tweet
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anycommunity_notestring | anyCommunity note associated with the Tweet
Show propertiesHide properties
Any of:
string
stringany
anyedit_tweet_idsstring[]A list of Tweet IDs for each edit of the Tweet
default: []
editable_until_msecsstring | anyTimestamp for when the Tweet is no longer editable
Show propertiesHide properties
Any of:
string
stringany
anyedits_remainingstring | anyNumber of edits remaining for the Tweet
Show propertiesHide properties
Any of:
string
stringany
anyfavorite_countinteger | anyNumber of likes (favorites) for the Tweet
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfavoritedboolean | anyIndicates if the authenticating user has liked this Tweet
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyfull_textstring | anyThe full text of the Tweet, especially for extended tweets
Show propertiesHide properties
Any of:
string
stringany
anyhas_cardboolean | anyIndicates if the Tweet has a card attached
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyhas_community_notesboolean | anyIndicates if the Tweet has community notes
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyhashtagsstring[]A list of hashtags mentioned in the Tweet
default: []
cashtagsstring[]A list of cashtags (stock symbols) mentioned in the Tweet
default: []
idstring | anyThe unique identifier for the Tweet (same as tweet_id)
Show propertiesHide properties
Any of:
string
stringany
anyin_reply_tostring | anyID of the Tweet this is a reply to
Show propertiesHide properties
Any of:
string
stringany
anyin_reply_to_user_idstring | anyID of the user this is a reply to
Show propertiesHide properties
Any of:
string
stringany
anyin_reply_to_screen_namestring | anyScreen name of the user this is a reply to
Show propertiesHide properties
Any of:
string
stringany
anyis_edit_eligibleboolean | anyIndicates if the Tweet is eligible for editing
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyis_quote_statusboolean | anyIndicates if this Tweet is a quote of another Tweet
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyquoted_status_id_strstring | anyThe unique identifier for the Tweet that this is a quote of
Show propertiesHide properties
Any of:
string
stringany
anyis_translatableboolean | anyIndicates if the Tweet is translatable
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anylangstring | anyThe BCP 47 language identifier for the Tweet's content
Show propertiesHide properties
Any of:
string
stringany
anymediaMediaModel[]A list of media objects (photos, videos) attached to the Tweet
default: []
Show propertiesHide properties
Array of
MediaModelidstringrequiredMedia ID
typestringrequiredType of media (e.g., photo, video)
display_urlstring | anyURL of the media to display
Show propertiesHide properties
Any of:
string
stringany
anyexpanded_urlstring | anyExpanded URL for the media
Show propertiesHide properties
Any of:
string
stringany
anymedia_urlstring | anyDirect URL to the media file
Show propertiesHide properties
Any of:
string
stringany
anyurlstring | anyt.co URL for the media
Show propertiesHide properties
Any of:
string
stringany
anyheightinteger | anyHeight of the media in pixels
Show propertiesHide properties
Any of:
integer
integerany
anywidthinteger | anyWidth of the media in pixels
Show propertiesHide properties
Any of:
integer
integerany
anyfeaturesobject | anyFeatures of the media
Show propertiesHide properties
Any of:
object
objectany
anyoriginal_infoobject | anyOriginal information about the media
Show propertiesHide properties
Any of:
object
objectany
anysizesobject | anyAvailable sizes of the media
Show propertiesHide properties
Any of:
object
objectany
anysource_status_idstring | anySource tweet ID if the media is a retweet
Show propertiesHide properties
Any of:
string
stringany
anysource_user_idstring | anySource user ID if the media is a retweet
Show propertiesHide properties
Any of:
string
stringany
anyduration_millisinteger | anyDuration of the video in milliseconds
Show propertiesHide properties
Any of:
integer
integerany
anyaspect_ratiointeger[] | anyAspect ratio of the video
Show propertiesHide properties
Any of:
integer[]
Array of
integerintegerany
anyvideo_infoobject | anyDetailed video information
Show propertiesHide properties
Any of:
object
objectany
anystreamsStreamModel[]List of available video streams
default: []
Show propertiesHide properties
Array of
StreamModelurlstring | anyURL of the video stream
Show propertiesHide properties
Any of:
string
stringany
anybitrateinteger | anyBitrate of the video stream in bps
Show propertiesHide properties
Any of:
integer
integerany
anycontent_typestring | anyContent type of the stream
Show propertiesHide properties
Any of:
string
stringany
anyplacestring | anyThe location associated with the Tweet
Show propertiesHide properties
Any of:
string
stringany
anypollstring | anyA poll attached to the Tweet
Show propertiesHide properties
Any of:
string
stringany
anypossibly_sensitiveboolean | anyIndicates if the Tweet may contain sensitive content
Show propertiesHide properties
Any of:
boolean
booleanany
anypossibly_sensitive_editableboolean | anyIndicates if the sensitive content flag is editable
Show propertiesHide properties
Any of:
boolean
booleanany
anyquoteTweetModel | anyThe Tweet object being quoted
Show propertiesHide properties
Any of:
TweetModel
Circular reference to
TweetModel.any
anyquote_countinteger | anyNumber of times this Tweet has been quoted
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyrelated_tweetsTweetModel[]A list of related Tweets
default: []
Show propertiesHide properties
Array of
TweetModelCircular reference to
TweetModel.repliesTweetModel[]A list of replies to this Tweet
default: []
Show propertiesHide properties
Array of
TweetModelCircular reference to
TweetModel.reply_countinteger | anyNumber of replies to this Tweet
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyreply_toTweetModel | anyThe Tweet object this is a reply to
Show propertiesHide properties
Any of:
TweetModel
Circular reference to
TweetModel.any
anyretweet_countinteger | anyNumber of times this Tweet has been retweeted
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyretweeted_tweetTweetModel | anyThe original Tweet object if this is a retweet
Show propertiesHide properties
Any of:
TweetModel
Circular reference to
TweetModel.any
anythreadTweetModel[] | anyThe conversation thread ID
Show propertiesHide properties
Any of:
TweetModel[]
Array of
TweetModelCircular reference to
TweetModel.any
anythumbnail_titlestring | anyTitle for the thumbnail in a card
Show propertiesHide properties
Any of:
string
stringany
anythumbnail_urlstring | anyURL for the thumbnail in a card
Show propertiesHide properties
Any of:
string
stringany
anyurlsstring[]A list of URLs included in the Tweet
default: []
userUserModel | anyThe user who posted the Tweet
Show propertiesHide properties
Any of:
UserModel
idstringrequiredUser ID
namestringrequiredDisplay name
screen_namestringrequiredTwitter username
created_atstring | anyAccount creation date
Show propertiesHide properties
Any of:
string
stringany
anycreated_at_datetimestring | anyAccount creation datetime in ISO format
Show propertiesHide properties
Any of:
string
stringany
anycan_dmboolean | anyWhether the user can be direct messaged
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anycan_media_tagboolean | anyWhether the user can be tagged in media
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydefault_profileboolean | anyWhether the user has a default profile
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydefault_profile_imageboolean | anyWhether the user has a default profile image
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anydescriptionstring | anyUser's bio description
default: ""
Show propertiesHide properties
Any of:
string
stringany
anydescription_urlsstring[]List of URLs found in the user's description
default: []
urlsurlModel[] | anyList of URLs found in the user's profile
Show propertiesHide properties
Any of:
urlModel[]
Array of
urlModelurlstringrequiredURL
expanded_urlstring | anyExpanded URL
Show propertiesHide properties
Any of:
string
stringany
anydisplay_urlstring | anyDisplay URL
Show propertiesHide properties
Any of:
string
stringany
anyany
anyfast_followers_countinteger | anyCount of fast followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfavourites_countinteger | anyNumber of tweets the user has liked
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfollowers_countinteger | anyNumber of followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyfollowing_countinteger | anyNumber of users this user is following
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyhas_custom_timelinesboolean | anyWhether the user has custom timelines
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyis_blue_verifiedboolean | anyBlue verification status
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyverified_typestring | anyVerification badge type when not blue-only: blue, business, government, etc.
Show propertiesHide properties
Any of:
string
stringany
anyis_verifiedboolean | anyTrue if the account has any verification badge (blue, business, government, or legacy verified)
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyprofile_image_shapestring | anyProfile image shape (Circle or Square; Square often indicates business/government)
Show propertiesHide properties
Any of:
string
stringany
anyis_translatorboolean | anyWhether the user is a translator
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anylisted_countinteger | anyNumber of public lists the user is a member of
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anylocationstring | anyUser's location
default: ""
Show propertiesHide properties
Any of:
string
stringany
anymedia_countinteger | anyNumber of media tweets posted by the user
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anynormal_followers_countinteger | anyCount of normal followers
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anypinned_tweet_idsstring[]List of pinned tweet IDs
default: []
possibly_sensitiveboolean | anyWhether the user's profile may contain sensitive content
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anyprofile_banner_urlstring | anyURL of the user's profile banner
Show propertiesHide properties
Any of:
string
stringany
anyprofile_image_urlstring | anyURL of the user's profile image
Show propertiesHide properties
Any of:
string
stringany
anyprotectedboolean | anyWhether the user's tweets are protected
default: false
Show propertiesHide properties
Any of:
boolean
booleanany
anystatuses_countinteger | anyNumber of tweets posted by the user
default: 0
Show propertiesHide properties
Any of:
integer
integerany
anyany
anyview_countstring | anyNumber of views for the Tweet
Show propertiesHide properties
Any of:
string
stringany
anyview_count_statestring | anyState of the view count
Show propertiesHide properties
Any of:
string
stringany
anystatusobject | anyRaw status dictionary
Show propertiesHide properties
Any of:
object
objectany
anytarget_countinteger | anyThe target count of items requested, for context
Show propertiesHide properties
Any of:
integer
integerany
anyhas_next_pagebooleanrequiredWhether another page is available.
next_cursorstring | anyThe next cursor of the tweets to get.
Show propertiesHide properties
Any of:
string
stringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)
This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/twitter/list/tweets/page" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"next_cursor": "",
"list_id": "string"
}'const response = await fetch("https://api.twexapi.io/twitter/list/tweets/page", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"next_cursor": "",
"list_id": "string"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/list/tweets/page",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"next_cursor": "",
"list_id": "string"
},
)Response
{
"code": 0,
"msg": "string",
"data": [
{
"tweet_id": "1803006263529541838",
"is_paid_promotion": true,
"text": "string",
"created_at": "Mon Jun 17 03:51:48 +0000 2024",
"created_at_datetime": "2024-06-17T03:51:48.000Z",
"bookmark_count": 0,
"bookmarked": false,
"community_note": "string",
"edit_tweet_ids": [],
"editable_until_msecs": "string",
"edits_remaining": "string",
"favorite_count": 0,
"favorited": false,
"full_text": "string",
"has_card": false,
"has_community_notes": false,
"hashtags": [
"AI",
"Python"
],
"cashtags": [
"$TSLA"
],
"id": "string",
"in_reply_to": "string",
"in_reply_to_user_id": "string",
"in_reply_to_screen_name": "string",
"is_edit_eligible": false,
"is_quote_status": false,
"quoted_status_id_str": "string",
"is_translatable": false,
"lang": "en",
"media": [],
"place": "string",
"poll": "string",
"possibly_sensitive": true,
"possibly_sensitive_editable": true,
"quote": {},
"quote_count": 0,
"related_tweets": [],
"replies": [],
"reply_count": 0,
"reply_to": {},
"retweet_count": 0,
"retweeted_tweet": {},
"thread": [
{}
],
"thumbnail_title": "string",
"thumbnail_url": "string",
"urls": [],
"user": {
"id": "1717001045992251392",
"name": "Cryptoklepto",
"screen_name": "CK_Cryptoklepto",
"created_at": "Mon Oct 28 02:32:47 +0000 2024",
"created_at_datetime": "2024-10-28T02:32:47.000Z",
"can_dm": false,
"can_media_tag": false,
"default_profile": false,
"default_profile_image": false,
"description": "",
"description_urls": [],
"urls": [
{
"url": "https://www.google.com",
"expanded_url": "https://www.google.com",
"display_url": "www.google.com"
}
],
"fast_followers_count": 0,
"favourites_count": 0,
"followers_count": 0,
"following_count": 0,
"has_custom_timelines": false,
"is_blue_verified": false,
"verified_type": "government",
"is_verified": false,
"profile_image_shape": "Circle",
"is_translator": false,
"listed_count": 0,
"location": "New York, USA",
"media_count": 0,
"normal_followers_count": 0,
"pinned_tweet_ids": [],
"possibly_sensitive": false,
"profile_banner_url": "string",
"profile_image_url": "string",
"protected": false,
"statuses_count": 0
},
"view_count": "string",
"view_count_state": "string",
"status": {},
"target_count": 0
}
],
"has_next_page": true,
"next_cursor": "1234567890"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}